﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.pragmaticworks.com/release/2018.2/TaskFactory_2018.2.4.503.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '8F811615083B976F40EF3B9CFE32D1D97C7ABBF18577D39A8F900E34FA89C8DA'
  checksumType = 'sha256'
  checksum64 = 'OEY4MTE2MTUwODNCOTc2RjQwRUYzQjlDRkUzMkQxRDk3QzdBQkJGMTg1NzdEMzlBOEY5MDBFMzRGQTg5QzhEQQ=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
